<div class="title">
    <h2 mat-dialog-title style="width: 100%; margin: 0">Create new Event</h2>
    <button mat-icon-button aria-label="Close" mat-dialog-close style="margin: 10px 10px 0 0;">
        <mat-icon>close</mat-icon>
    </button>
</div>

<div [formGroup]="formGroup" class="grid" style="overflow: visible;">
    <mat-form-field style="grid-area: title;">
        <mat-label>Title</mat-label>
        <input matInput formControlName="name">
        <mat-error *ngIf="formGroup.get('name')!.value!.length != 0">Max length is {{Global.eventsNewsFormFieldsLength}} characters.</mat-error>
    </mat-form-field>
    <mat-form-field style="grid-area: description;">
        <mat-label>Description</mat-label>
        <textarea matInput formControlName="description" rows="5"></textarea>
        <mat-error *ngIf="formGroup.get('description')!.value!.length != 0">Max length is {{Global.textAreaFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <div style="grid-area: address;">
        <mat-form-field>
            <mat-label>Street and house number</mat-label>
            <input matInput formControlName="street">
            <mat-error *ngIf="formGroup.get('street')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>ZIP</mat-label>
            <input matInput formControlName="zip">
            <mat-error *ngIf="formGroup.get('zip')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>City</mat-label>
            <input matInput formControlName="city">
            <mat-error *ngIf="formGroup.get('city')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Country</mat-label>
            <input matInput formControlName="country">
            <mat-error *ngIf="formGroup.get('country')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
        </mat-form-field>

    </div>
    <mat-form-field style="grid-area: date; height: fit-content;">
        <mat-label>Date for the event</mat-label>
        <input matInput formControlName="date" [matDatepicker]="picker">
        <mat-hint>DD.MM.YYYY</mat-hint>
        <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>

    <app-upload-box
        style="grid-area: photo; width: 300px; height: 195px;"
        matInput
        [allowedTypes]="['png', 'jpeg', 'jpg', 'webp', 'svg']"
        [description]="'Event Image'"
        [fileClass]="'events'"
        [form]="formGroup"
        [controlName]="'photo'"
        [defaultFile]="this.formGroup.get('photo')!.value!!"
        (uploadStarted)="blockFormSubmit('photo')"
        (uploadFinished)="unblockFormSubmit('photo')"
        (fileNameReturn)="updateFile(this.formGroup, 'photo', $event.filename)"
    />

</div>
<div class="saveContainer">
    <mat-spinner
        #spinner
        [ngStyle]="{'display': spinnerVisible ? 'block' : 'none'}"
        style="width: 40px; height: 40px; margin-right: 50px;"
    ></mat-spinner>
    <button class="save" mat-button [disabled]="!formGroup.valid" (click)="save()">Create Event</button>
</div>
